cassandra-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Cobley <a...@r2-dvd.org>
Subject Re: CASSANDRA-12278
Date Sat, 03 Sep 2016 09:11:20 GMT
Thanks Michael and Paulo,

Upon further investigation, this is NOT a cassandra problem but a Java installation problem.
 The machine in questioned been upgraded from 1.8.0_20 ro 1.8.0_101.  This had upgraded the
PATH env variable (java -version from the command line pointed to java 1.8.0_101) but it had
not upgraded the JAVA_HOME env variable.  That still pointed to the old version of java.

Cassandra-env.ps1 uses JAVA_HOME to set  JAVA_BIN env variable (line 297) .  Is it worth putting
in a test to see if Java -version gives a different result to JAVA_HOME ?

Andy
> On 2 Sep 2016, at 21:00, Michael Shuler <michael@pbandjelly.org> wrote:
> 
> On 09/02/2016 05:19 AM, Andy Cobley wrote:
>> However I’ve just tried  apache-cassandra-3.10-SNAPSHOT and am
>> still getting
>> 
>> "Cassandra 3.0 and later require Java 8u40 or later.”
> 
> What is the git sha of your 3.10-SNAPSHOT build?
> 
> I see this was committed to trunk Jul 27, so perhaps your build is
> older? If you are using something newer, maybe you could throw some
> `echo` statements on those new version checks in conf/cassandra-env.ps1
> to send some troubleshooting bits to stdout.
> 
> 
> commit 01d5fa8acf05973074482eda497677c161a311ac
> Author: Paulo Motta <pauloricardomg@gmail.com>
> Date:   Wed Jul 27 11:41:17 2016 -0400
> 
>    Fix Java Version check for versions > 100 on Windows (3.0 patch)
> 
>    Patch by pmotta; reviewed by jmckenzie for CASSANDRA-12278
> 
> -- 
> Kind regards,
> Michael

Mime
View raw message